package wtf.opal.client.feature.module;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;

@Environment(EnvType.CLIENT)
public final class UnknownModuleException extends Exception {
   private final String id;

   public UnknownModuleException(String id) {
      super(String.format("Module with the id %s could not be found.", id));
      this.id = id;
   }

   public String getId() {
      return this.id;
   }
}
